Index: /extensions/PHP_Optimisateur/language/de_DE/de_DE.php
===================================================================
--- /extensions/PHP_Optimisateur/language/de_DE/de_DE.php	(revision 9299)
+++ /extensions/PHP_Optimisateur/language/de_DE/de_DE.php	(revision 9299)
@@ -0,0 +1,64 @@
+<?php
+$Lang['fatal.ErrorConfigFile'] = "Schwerwiegender Fehler: Konfigurationsdatei fehlt.";
+$Lang['fatal.ErrorFolderIn'] = "Schwerwiegender Fehler: Input-Ordner ist leer.";
+$Lang['fatal.ErrorFolderOut'] = "Schwerwiegender Fehler: Output Ordner ist nicht leer.";
+$Lang['fatal.ErrorNconvert'] = "Schwerwiegender Fehler: Das Programm <i>nconvert.exe</i> wurde nicht gefunden.";
+$Lang['fatal.ErrorConfig'] = "Schwerwiegender Fehler: Konfiguration nicht korrekt.";
+$Lang['notice.EraseFolderOut'] = "Warnung: Der Output Ordner wird komplett gelehrt.";
+$Lang['notice.ErrorConfig'] = "Einige Konfigurationsfehler wurden gefixt , bitte kontrollieren Sie Ihre Einstellungen.";
+$Lang['Source files'] = "Bearbeitete Dateien";
+$Lang['%d files'] = "%d Dateien";
+$Lang['Finish %d seconds'] = "Prozess durchgeführt: %d Sekunden.";
+$Lang['Ready'] = "Bereit zum Start.";
+$Lang['Processing'] = "In Verarbeitung";
+$Lang['Launch'] = "Start";
+$Lang['Config'] = "Konfigurieren";
+$Lang['Back'] = "Zurück";
+$Lang['Configuration'] = "Konfiguration";
+$Lang['Folders'] = "Ordner";
+$Lang['FolderIn'] = "Input-Ordner";
+$Lang['FolderOut'] = "Output Ordner";
+$Lang['Options'] = "Optionen";
+$Lang['silentORNOT'] = "Wenn Output Ordner nicht lehr ist";
+$Lang['DIRhighORNOT'] = "HD Ordner erstellen";
+$Lang['DIMhdORNOT'] = " Größe der HD Bilder ändern";
+$Lang['renameORNOT'] = "Dateien und Ordner umbenennen";
+$Lang['indexORNOT'] = "index.php Dateien hinzufügen";
+$Lang['prefixe_mini'] = "Präfix der Miniaturbilder";
+$Lang['Sizes and quality'] = "Größe und Qualität";
+$Lang['DIMhd'] = "Maximal Größe der HD Bilder";
+$Lang['DIMnormal'] = "Maximal Größe der normalen Bilder";
+$Lang['DIMthumbnail'] = "Größe der Miniaturbilder";
+$Lang['Qhd'] = "Qualität der HD Bilder";
+$Lang['Qnormal'] = "Qualität der normalen Bilder";
+$Lang['Qthumbnail'] = "Qualität der Miniaturbilder";
+$Lang['DPI'] = "Auflösung der HD Bilder";
+$Lang['Copyright'] = "Copyright";
+$Lang['Content'] = "Inhalt";
+$Lang['copyONhd'] = "in HD";
+$Lang['copyONnormal'] = "Normal";
+$Lang['copyPOS%s'] = "%s Position";
+$Lang['copyPOSh'] = "Horizontal ";
+$Lang['copyPOSv'] = "Vertikal ";
+$Lang['copySIZE'] = "Größe (Ratio Bild/Text)";
+$Lang['copyCOLOR'] = "Farbe";
+$Lang['copyFONT'] = "Schriftart";
+$Lang['Plugins'] = "Plug-Ins";
+$Lang['yes'] = "Ja";
+$Lang['no'] = "Nein";
+$Lang['top'] = "Oben";
+$Lang['center'] = "Mitte";
+$Lang['bottom'] = "Unten";
+$Lang['left'] = "Links";
+$Lang['right'] = "Rechts";
+$Lang['erase'] = "Löschen";
+$Lang['pass'] = "Fortfahren";
+$Lang['block'] = "Block";
+$Lang['New !'] = "Neu !";
+$Lang['Missing !'] = "Fehlt!";
+$Lang['Reset'] = "Reset";
+$Lang['Valid'] = "Validieren";
+$Lang['Active'] = "Aktiv";
+$Lang['Inactive'] = "Inaktiv";
+
+?>
Index: /extensions/PHP_Optimisateur/language/de_DE/de_DE.txt
===================================================================
--- /extensions/PHP_Optimisateur/language/de_DE/de_DE.txt	(revision 9299)
+++ /extensions/PHP_Optimisateur/language/de_DE/de_DE.txt	(revision 9299)
@@ -0,0 +1,1 @@
+Deutsch
Index: /extensions/PHP_Optimisateur/language/it_IT/it_IT.php
===================================================================
--- /extensions/PHP_Optimisateur/language/it_IT/it_IT.php	(revision 9299)
+++ /extensions/PHP_Optimisateur/language/it_IT/it_IT.php	(revision 9299)
@@ -0,0 +1,64 @@
+<?php
+$Lang['fatal.ErrorConfigFile'] = "Errore fatale : File di configurazione mancante.";
+$Lang['fatal.ErrorFolderIn'] = "Errore fatale : La cartella input è vuota.";
+$Lang['fatal.ErrorFolderOut'] = "Errore fatale : La cartella output non è vuota.";
+$Lang['fatal.ErrorNconvert'] = "Errore fatale : Il Programma <i>nconvert.exe</i> non si trova.";
+$Lang['fatal.ErrorConfig'] = "Errore fatale : Configurazione incorretta.";
+$Lang['notice.EraseFolderOut'] = "Attenzione : La cartella output sarà completamente svuotata.";
+$Lang['notice.ErrorConfig'] = "Alcuni errori di configurazione sono stati risolti, si prega di controllare i vostri parametri.";
+$Lang['Source files'] = "File gestiti";
+$Lang['%d files'] = "%d file";
+$Lang['Finish %d seconds'] = "Elaborazione terminata : %d secondi.";
+$Lang['Ready'] = "Pronto per l\'avvio.";
+$Lang['Processing'] = "Elaborazione.";
+$Lang['Launch'] = "Avvio";
+$Lang['Config'] = "Configurare";
+$Lang['Back'] = "Indietro";
+$Lang['Configuration'] = "Configurazione";
+$Lang['Folders'] = "Cartelle";
+$Lang['FolderIn'] = "Cartella input";
+$Lang['FolderOut'] = "Cartella output";
+$Lang['Options'] = "Impostazioni";
+$Lang['silentORNOT'] = "Se la cartella d'output non è vuota";
+$Lang['DIRhighORNOT'] = "Creare delle cartelle HD";
+$Lang['DIMhdORNOT'] = "Ridimensionare le immagini HD";
+$Lang['renameORNOT'] = "Rinominare i file e le cartelle";
+$Lang['indexORNOT'] = "Aggiungere dei file index.php";
+$Lang['prefixe_mini'] = "Prefisso dei thumbnail";
+$Lang['Sizes and quality'] = "Grandezze e qualità";
+$Lang['DIMhd'] = "Grandezza massima delle immagini in HD";
+$Lang['DIMnormal'] = "Grandezza massima delle immagini normali";
+$Lang['DIMthumbnail'] = "Grandezza dei thumbnail";
+$Lang['Qhd'] = "Qualità delle immagini in HD";
+$Lang['Qnormal'] = "Qualità delle immagini normali";
+$Lang['Qthumbnail'] = "Qualità dei thumbnail";
+$Lang['DPI'] = "Risoluzione delle immagini in HD";
+$Lang['Copyright'] = "Copyright";
+$Lang['Content'] = "Contenuto";
+$Lang['copyONhd'] = "In alta definizione";
+$Lang['copyONnormal'] = "Normale";
+$Lang['copyPOS%s'] = "%s Posizione";
+$Lang['copyPOSh'] = "Orizzontale ";
+$Lang['copyPOSv'] = "Verticale ";
+$Lang['copySIZE'] = "Grandezza (ratio immagine/testo)";
+$Lang['copyCOLOR'] = "Colore";
+$Lang['copyFONT'] = "Font";
+$Lang['Plugins'] = "Plug-In";
+$Lang['yes'] = "su";
+$Lang['no'] = "no";
+$Lang['top'] = "cima";
+$Lang['center'] = "centro";
+$Lang['bottom'] = "fondo";
+$Lang['left'] = "sinistra";
+$Lang['right'] = "destra";
+$Lang['erase'] = "Eliminare";
+$Lang['pass'] = "Continuare";
+$Lang['block'] = "Blocco";
+$Lang['New !'] = "Nuovo !";
+$Lang['Missing !'] = "Manca !";
+$Lang['Reset'] = "Reset";
+$Lang['Valid'] = "Validare";
+$Lang['Active'] = "Attivo";
+$Lang['Inactive'] = "Inattivo";
+
+?>
Index: /extensions/PHP_Optimisateur/language/it_IT/it_IT.txt
===================================================================
--- /extensions/PHP_Optimisateur/language/it_IT/it_IT.txt	(revision 9299)
+++ /extensions/PHP_Optimisateur/language/it_IT/it_IT.txt	(revision 9299)
@@ -0,0 +1,1 @@
+Italiano