Index: /extensions/NBC_UserAdvManager/branches/2.20/admin/UAM_admin.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.20/admin/UAM_admin.php	(revision 9324)
+++ /extensions/NBC_UserAdvManager/branches/2.20/admin/UAM_admin.php	(revision 9325)
@@ -561,11 +561,4 @@
 		}
 
-    // Avoid jquery accordion menu bug when there is no users to display
-    // Pending because it causes php warnings when no users are listed (when $visible_user_list[] is empty)
-    /*if (empty($visible_user_list))
-    {
-      $visible_user_list[] = null;
-    }*/
-
 		foreach ($visible_user_list as $local_user)
     {
@@ -1039,11 +1032,4 @@
 		}
 
-    // Avoid jquery accordeon menu bug when there is no users to display
-    // Pending because it causes php warnings when no users are listed (when $visible_user_list[] is empty)
-    /*if (empty($visible_user_list))
-    {
-      $visible_user_list[] = null;
-    }*/
-
 		foreach ($visible_user_list as $local_user)
     {
@@ -1441,10 +1427,4 @@
       $visible_user_list[] = $local_user;
 		}
-
-    // Avoid jquery accordeon menu bug when there is no users to display
-    if (empty($visible_user_list))
-    {
-      $visible_user_list[] = null;
-    }
     
 		foreach ($visible_user_list as $local_user)
Index: /extensions/NBC_UserAdvManager/branches/2.20/admin/template/ghosttracker.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.20/admin/template/ghosttracker.tpl	(revision 9324)
+++ /extensions/NBC_UserAdvManager/branches/2.20/admin/template/ghosttracker.tpl	(revision 9325)
@@ -41,4 +41,5 @@
   <fieldset>
     <legend class="cluetip" title="{'UAM_gtTitle'|translate}|{'UAM_gtTitle_d'|translate}">{'UAM_GhostTracker_Title'|@translate}</legend>
+    {if count($users) > 0}
       <table id="sorting" class="table2" width="97%" summary="">
         <thead>
@@ -100,3 +101,8 @@
 </p>
   </fieldset>
+		{else}
+		<div>
+			{'UAM_No_Ghosts'|@translate}
+		</div>
+		{/if}
 </form>
Index: /extensions/NBC_UserAdvManager/branches/2.20/admin/template/userlist.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.20/admin/template/userlist.tpl	(revision 9324)
+++ /extensions/NBC_UserAdvManager/branches/2.20/admin/template/userlist.tpl	(revision 9325)
@@ -45,5 +45,5 @@
   <fieldset>
   	<legend class="cluetip" title="{'UAM_userlistTitle'|translate}|{'UAM_userlistTitle_d'|translate}">{'UAM_UserList_Title'|@translate}</legend>
-
+    {if count($users) > 0}
       <table id="sorting" class="table2" width="97%" summary="">
   			<thead>
@@ -96,3 +96,8 @@
     	<br>
   </fieldset>
+		{else}
+		<div>
+			{'UAM_No_Userlist'|@translate}
+		</div>
+		{/if}
 </form>
Index: /extensions/NBC_UserAdvManager/branches/2.20/admin/template/usermanager.tpl
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.20/admin/template/usermanager.tpl	(revision 9324)
+++ /extensions/NBC_UserAdvManager/branches/2.20/admin/template/usermanager.tpl	(revision 9325)
@@ -32,4 +32,5 @@
   <fieldset>
   	<legend class="cluetip" title="{'UAM_usermanTitle'|translate}|{'UAM_usermanTitle_d'|translate}">{'UAM_UserManager_Title'|@translate}</legend>
+    {if count($users) > 0}
       <table id="sorting" class="table2" width="97%" summary="">
   		  <thead>
@@ -104,3 +105,8 @@
 </p>
   </fieldset>
+		{else}
+		<div>
+			{'UAM_No_Usermanager'|@translate}
+		</div>
+		{/if}
 </form>
Index: /extensions/NBC_UserAdvManager/branches/2.20/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.20/language/de_DE/plugin.lang.php	(revision 9324)
+++ /extensions/NBC_UserAdvManager/branches/2.20/language/de_DE/plugin.lang.php	(revision 9325)
@@ -309,4 +309,7 @@
             </li>
           </ul>';
+/*TODO*/$lang['UAM_No_Ghosts'] = 'No ghosts visitors for the moment';
+/*TODO*/$lang['UAM_No_Userlist'] = 'No visitors to list for the moment';
+/*TODO*/$lang['UAM_No_Usermanager'] = 'No unvalidated registers to list for the moment';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.20/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.20/language/en_UK/plugin.lang.php	(revision 9324)
+++ /extensions/NBC_UserAdvManager/branches/2.20/language/en_UK/plugin.lang.php	(revision 9325)
@@ -311,4 +311,7 @@
             </li>
           </ul>';
+$lang['UAM_No_Ghosts'] = 'No ghosts visitors for the moment';
+$lang['UAM_No_Userlist'] = 'No visitors to list for the moment';
+$lang['UAM_No_Usermanager'] = 'No unvalidated registers to list for the moment';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.20/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.20/language/es_ES/plugin.lang.php	(revision 9324)
+++ /extensions/NBC_UserAdvManager/branches/2.20/language/es_ES/plugin.lang.php	(revision 9325)
@@ -349,4 +349,7 @@
             </li>
           </ul>';
+/*TODO*/$lang['UAM_No_Ghosts'] = 'No ghosts visitors for the moment';
+/*TODO*/$lang['UAM_No_Userlist'] = 'No visitors to list for the moment';
+/*TODO*/$lang['UAM_No_Usermanager'] = 'No unvalidated registers to list for the moment';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.20/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.20/language/fr_FR/plugin.lang.php	(revision 9324)
+++ /extensions/NBC_UserAdvManager/branches/2.20/language/fr_FR/plugin.lang.php	(revision 9325)
@@ -309,4 +309,7 @@
             </li>
           </ul>';
+$lang['UAM_No_Ghosts'] = 'Pas de visiteurs fantômes pour l\'instant';
+$lang['UAM_No_Userlist'] = 'Pas de suivi de visiteurs pour l\'instant';
+$lang['UAM_No_Usermanager'] = 'Pas de validations d\'inscription pour l\'instant';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.20/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.20/language/it_IT/plugin.lang.php	(revision 9324)
+++ /extensions/NBC_UserAdvManager/branches/2.20/language/it_IT/plugin.lang.php	(revision 9325)
@@ -308,4 +308,7 @@
             </li>
           </ul>';
+/*TODO*/$lang['UAM_No_Ghosts'] = 'No ghosts visitors for the moment';
+/*TODO*/$lang['UAM_No_Userlist'] = 'No visitors to list for the moment';
+/*TODO*/$lang['UAM_No_Usermanager'] = 'No unvalidated registers to list for the moment';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>
Index: /extensions/NBC_UserAdvManager/branches/2.20/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/branches/2.20/language/lv_LV/plugin.lang.php	(revision 9324)
+++ /extensions/NBC_UserAdvManager/branches/2.20/language/lv_LV/plugin.lang.php	(revision 9325)
@@ -346,4 +346,7 @@
             </li>
           </ul>';
+/*TODO*/$lang['UAM_No_Ghosts'] = 'No ghosts visitors for the moment';
+/*TODO*/$lang['UAM_No_Userlist'] = 'No visitors to list for the moment';
+/*TODO*/$lang['UAM_No_Usermanager'] = 'No unvalidated registers to list for the moment';
 // --------- End: New or revised $lang ---- from version 2.20.0
 ?>