Index: branches/2.1/language/mk_MK/common.lang.php
===================================================================
--- branches/2.1/language/mk_MK/common.lang.php	(revision 9236)
+++ branches/2.1/language/mk_MK/common.lang.php	(revision 9337)
@@ -343,3 +343,42 @@
 $lang['delete this comment'] = 'Избриши го коментарот';
 $lang['Comment: %s'] = 'Коментар: %s';
+$lang['Administrator, webmaster and special user cannot use this method'] = 'Administrator, webmaster and special user cannot use this method';
+$lang['a user use already this mail address'] = 'Друг корисник ја користи постоечката е-пошта';
+$lang['Tag results for'] = 'Таг резултати за';
+$lang['from %s to %s'] = 'од %s до %s';
+$lang['Play of slideshow'] = 'Пушти ја проекцијата';
+$lang['Pause of slideshow'] = 'Паузирај ја проекцијата';
+$lang['Repeat the slideshow'] = 'Повтори ја проекцијата';
+$lang['Not repeat the slideshow'] = 'Не ја повторувај проекцијата';
+$lang['Reduce diaporama speed'] = 'Намали ја брзината на проекцијата';
+$lang['Accelerate diaporama speed'] = 'Забрзај ја брзината на проекцијата';
+$lang['See images linked to this tag only'] = 'Поглед кон слики поврзани само со овој таг';
+$lang['images posted during the last %d days'] = 'слики објавени во последните %d денови';
+$lang['Choose an image'] = 'Избери слика';
+$lang['Rank'] = 'Оцени';
+$lang['group by letters'] = 'групирај по букви';
+$lang['letters'] = 'букви';
+$lang['show tag cloud'] = 'прикажи го облакот на тагови';
+$lang['cloud'] = 'Облак';
+$lang['Reset to default values'] = 'Врати на оригинални вредности';
+$lang['delete all images from your favorites'] = 'Избриши ги сите слики од Омилени';
+$lang['Sent by'] = 'Прати по';
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Колачиња се блокирани или не се подржани од вашиот прелистувач. Мора да овозможите колачиња за да се логирате.';
+$lang['Some info about this picture'] = 'Информација за оваа слика';
+$lang['Some more (technical) info about this picture'] = 'Повеќе (техничка) информација за оваа слика';
+$lang['edit this comment'] = 'Промени го коментарот';
+$lang['Edit a comment'] = 'Промени коментар';
+$lang['Are you sure?'] = 'Дали сте сигурни?';
+$lang['(!) This comment requires validation'] = '(!) Потребна е валидација за овој коментар';
+$lang['Welcome'] = 'Дојбедојдовте';
+$lang['Welcome to your Piwigo photo gallery!'] = 'Дојбедојдовте во вашата Piwigo фото галерија!';
+$lang['... or browse your empty gallery'] = '... или прелистајте ја вашата празна галерија';
+$lang['... or please deactivate this message, I will find my way by myself'] = '... или ве молам деактивирајте ја оваа порака, сам ќе се снајдам';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Hello %s, your Piwigo photo gallery is empty!';
+$lang['I want to add photos'] = 'Сакам да додадам слики';
+$lang['Manage this user comment: %s'] = 'Раководи со коментарот на овој корисник: %s';
+$lang['This author modified following comment:'] = 'Овој автор го променил следниов коментар:';
+$lang['This author removed the comment with id %d'] = 'Овој автор го отстранил коментарот со бројот %d';
+$lang['validate this comment'] = 'валидирај го коментарот';
+
 ?>