Index: /trunk/language/en_UK/common.lang.php
===================================================================
--- /trunk/language/en_UK/common.lang.php	(revision 9337)
+++ /trunk/language/en_UK/common.lang.php	(revision 9338)
@@ -336,5 +336,4 @@
 $lang['Sent by'] = "Sent by";
 $lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = "Cookies are blocked or not supported by your browser. You must enable cookies to log in.";
-
 $lang['edit this comment'] = "edit this comment";
 $lang['Edit a comment'] = "Edit a comment";
Index: /trunk/language/mk_MK/common.lang.php
===================================================================
--- /trunk/language/mk_MK/common.lang.php	(revision 9337)
+++ /trunk/language/mk_MK/common.lang.php	(revision 9338)
@@ -316,5 +316,4 @@
 $lang['Registration of %s'] = 'Registration of %s';
 $lang['Album: %s'] = 'Категорија: %s';
-$lang['Picture uploaded by %s'] = 'Фотографијата е прикачена од %s';
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Грешка при најавувањето како гостин.';
 $lang['Submit'] = 'Поднесува';
@@ -323,3 +322,40 @@
 $lang['delete this comment'] = 'Избриши го коментарот';
 $lang['Comment: %s'] = 'Коментар: %s';
+$lang['Administrator, webmaster and special user cannot use this method'] = 'Administrator, webmaster and special user cannot use this method';
+$lang['Album results for'] = 'Резултат на Албуми за';
+$lang['Tag results for'] = 'Таг резултати за';
+$lang['from %s to %s'] = 'од %s до %s';
+$lang['Play of slideshow'] = 'Пушти ја проекцијата';
+$lang['Pause of slideshow'] = 'Паузирај ја проекцијата';
+$lang['Repeat the slideshow'] = 'Повтори ја проекцијата';
+$lang['Not repeat the slideshow'] = 'Не ја повторувај проекцијата';
+$lang['Reduce diaporama speed'] = 'Намали ја брзината на проекцијата';
+$lang['Accelerate diaporama speed'] = 'Забрзај ја брзината на проекцијата';
+$lang['Rank'] = 'Оцени';
+$lang['group by letters'] = 'групирај по букви';
+$lang['letters'] = 'букви';
+$lang['show tag cloud'] = 'прикажи го облакот на тагови';
+$lang['cloud'] = 'Облак';
+$lang['Reset to default values'] = 'Врати на оригинални вредности';
+$lang['delete all photos from your favorites'] = 'Избриши ги сите слики од Омилени';
+$lang['Sent by'] = 'Прати по';
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Колачиња се блокирани или не се подржани од вашиот прелистувач. Мора да овозможите колачиња за да се логирате.';
+$lang['edit this comment'] = 'Промени го коментарот';
+$lang['Edit a comment'] = 'Промени коментар';
+$lang['Are you sure?'] = 'Дали сте сигурни?';
+$lang['(!) This comment requires validation'] = '(!) Потребна е валидација за овој коментар';
+$lang['Welcome'] = 'Дојбедојдовте';
+$lang['Welcome to your Piwigo photo gallery!'] = 'Дојбедојдовте во вашата Piwigo фото галерија!';
+$lang['... or browse your empty gallery'] = '... или прелистајте ја вашата празна галерија';
+$lang['... or please deactivate this message, I will find my way by myself'] = '... или ве молам деактивирајте ја оваа порака, сам ќе се снајдам';
+$lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Hello %s, your Piwigo photo gallery is empty!';
+$lang['I want to add photos'] = 'Сакам да додадам слики';
+$lang['Manage this user comment: %s'] = 'Раководи со коментарот на овој корисник: %s';
+$lang['This author modified following comment:'] = 'Овој автор го променил следниов коментар:';
+$lang['This author removed the comment with id %d'] = 'Овој автор го отстранил коментарот со бројот %d';
+$lang['validate this comment'] = 'валидирај го коментарот';
+$lang['photos posted during the last %d days'] = 'слики објавени во последните %d денови';
+$lang['this email address is already in use'] = 'Друг корисник ја користи постоечката е-пошта';
+$lang['display photos linked to this tag'] = 'Поглед кон слики поврзани само со овој таг';
+
 ?>