Index: extensions/ConcoursPhoto/CHANGELOG
===================================================================
--- extensions/ConcoursPhoto/CHANGELOG	(revision 8965)
+++ extensions/ConcoursPhoto/CHANGELOG	(revision 9364)
@@ -9,4 +9,6 @@
         - Correct hour/min bug when time is set to 00h00 and control coherence between end and begin dates/hours
         - Correct export to csv file (utf8decode)
+        - Add information on admin page
+        - Change blockmenu to show Contests without groups or for Guests.  
 ______________
 
Index: extensions/ConcoursPhoto/admin/admin.php
===================================================================
--- extensions/ConcoursPhoto/admin/admin.php	(revision 8965)
+++ extensions/ConcoursPhoto/admin/admin.php	(revision 9364)
@@ -60,6 +60,7 @@
 
     }
+}
             
-}
+$template->assign( 'CONCOURS_VERSION', l10n('concoursphoto')." (<i>Version ".CONCOURS_VERSION.'</i>)');
 
 
Index: extensions/ConcoursPhoto/admin/template/add_concours.tpl
===================================================================
--- extensions/ConcoursPhoto/admin/template/add_concours.tpl	(revision 8965)
+++ extensions/ConcoursPhoto/admin/template/add_concours.tpl	(revision 9364)
@@ -10,5 +10,5 @@
 
 <div class="titrePage">
-  <h2>Concours</h2>
+  <h2>{$CONCOURS_VERSION}</h2>
 </div>
 
Index: extensions/ConcoursPhoto/admin/template/audit.tpl
===================================================================
--- extensions/ConcoursPhoto/admin/template/audit.tpl	(revision 8965)
+++ extensions/ConcoursPhoto/admin/template/audit.tpl	(revision 9364)
@@ -1,4 +1,4 @@
 <div class="titrePage">
-  <h2>Concours</h2>
+  <h2>{$CONCOURS_VERSION}</h2>
 </div>
 <div class="concours">
Index: extensions/ConcoursPhoto/admin/template/config.tpl
===================================================================
--- extensions/ConcoursPhoto/admin/template/config.tpl	(revision 8965)
+++ extensions/ConcoursPhoto/admin/template/config.tpl	(revision 9364)
@@ -1,4 +1,4 @@
 <div class="titrePage">
-  <h2>Concours</h2>
+  <h2>{$CONCOURS_VERSION}</h2>
 </div>
 <p>
Index: extensions/ConcoursPhoto/admin/template/criteria.tpl
===================================================================
--- extensions/ConcoursPhoto/admin/template/criteria.tpl	(revision 8965)
+++ extensions/ConcoursPhoto/admin/template/criteria.tpl	(revision 9364)
@@ -1,4 +1,4 @@
 <div class="titrePage">
-  <h2>Concours</h2>
+  <h2>{$CONCOURS_VERSION}</h2>
 </div>
 <p>
Index: extensions/ConcoursPhoto/admin/template/manage.tpl
===================================================================
--- extensions/ConcoursPhoto/admin/template/manage.tpl	(revision 8965)
+++ extensions/ConcoursPhoto/admin/template/manage.tpl	(revision 9364)
@@ -1,4 +1,4 @@
 <div class="titrePage">
-  <h2>Concours</h2>
+  <h2>{$CONCOURS_VERSION}</h2>
 </div>
 <p>
Index: extensions/ConcoursPhoto/admin/template/params.tpl
===================================================================
--- extensions/ConcoursPhoto/admin/template/params.tpl	(revision 8965)
+++ extensions/ConcoursPhoto/admin/template/params.tpl	(revision 9364)
@@ -1,4 +1,4 @@
 <div class="titrePage">
-  <h2>Concours</h2>
+  <h2>{$CONCOURS_VERSION}</h2>
 </div>
 <p>
Index: extensions/ConcoursPhoto/include/Concours.class.php
===================================================================
--- extensions/ConcoursPhoto/include/Concours.class.php	(revision 8965)
+++ extensions/ConcoursPhoto/include/Concours.class.php	(revision 9364)
@@ -933,5 +933,4 @@
 
 
-    
 		if (($page['section']) == 'categories' AND !empty($page['category']))
 		{
@@ -1004,4 +1003,7 @@
 				if (isset($_POST['concours_submit']))
 				{
+                
+//                    array_push($page['infos'] , l10n('concours_vote_saved'));
+                    
 					$user_note = "";
 		if ($this->debug)			echo "SUBMIT";
@@ -1784,8 +1786,5 @@
 	}
 
-  /*
-    initialise menubar's menu
-    called by menubar object when making menu
-  */
+    // initialise menubar's menu.     called by menubar object when making menu
 	public function blockmanager_apply( $menu_ref_arr )
 	{
@@ -1799,14 +1798,5 @@
 		if ( ($block = $menu->get_block( 'CONCOURS_menu' ) ) != null )
 		{
-		  if($user['id']==2)
-		  {
-			$vote_id = $_SERVER['REMOTE_ADDR'];
-		  }
-		  else
-		  {
-			$vote_id = $user['id'];
-		  }
-
-	//      $polls_list=$this->get_polls_list($vote_id, is_admin(), $user['language']);
+
 		  $menu_list=array();
 
@@ -1824,8 +1814,8 @@
 
 			// recover all img_id from the category
-			$query = 'SELECT distinct(id_concours), groups, CONC.name'
+			$query = 'SELECT distinct(id_concours), groups, guest, CONC.name'
 			.' FROM ' .CONCOURS_RESULT_TABLE
 			.' INNER JOIN '.CONCOURS_TABLE. ' AS CONC ON CONC.id = id_concours'
-			.' ORDER BY date DESC'
+			.' ORDER BY id DESC'
 			.';';
 			
@@ -1839,11 +1829,22 @@
 					break;
 					
-				if (!empty($row['groups']))
+                $conc_to_show = false;  // Default ==> dont show
+                
+                // Guest
+				if (is_a_guest() AND $row['guest'])
+                    $conc_to_show = true;
+                // Group present
+                elseif (!empty($row['groups']))
 				{
 					$authorized_groups = explode(',', $row['groups']);
-					if (array_intersect($this->user_groups, $authorized_groups) == array()) 
+					if (array_intersect($this->user_groups, $authorized_groups) != array()) 
+                        $conc_to_show = true;
+                }
+                // Allowed for any user (logged)
+                elseif (empty($row['groups']))
+                    $conc_to_show = true;
+                
+                if ($conc_to_show)
 					{
-						continue;
-					}
 					$nb_concours ++;
 					array_push($menu_list,
@@ -1851,5 +1852,4 @@
 						'nfo' => "",
 						'text' => $row['name'],
-	//					'link' => CONCOURS_PATH.'publish.php?id='.$row['id_concours'],
 						'link' => './index.php?/concours/'.$row['id_concours'],
 						'edit' => (is_admin()? PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . CONCOURS_DIR . '%2Fadmin%2Fadd_concours.php&amp;concours=' . $row['id_concours'].'&amp;action=modify':"")
@@ -1862,5 +1862,5 @@
 		  {
 
-			  $block->set_title("Concours Photo");
+			  $block->set_title(l10n('concoursphoto'));
 			  $block->template = CONCOURS_ROOT.'/template/concours_menu.tpl';
 			  $block->data = $menu_list;
Index: extensions/ConcoursPhoto/language/en_UK/plugin.lang.php
===================================================================
--- extensions/ConcoursPhoto/language/en_UK/plugin.lang.php	(revision 8965)
+++ extensions/ConcoursPhoto/language/en_UK/plugin.lang.php	(revision 9364)
@@ -98,4 +98,6 @@
 $lang['concours_change_score']          = 'Allow user to change his score after a validation';
 $lang['concours_end_date_change_to']    = 'End date changed to %s';
-$lang['concours_saved']                 = 'Concours %s-%s saved';
+$lang['concours_saved']                 = 'Contest %s-%s saved';
+$lang['concoursphoto']                  = 'Photo Contest';
+$lang['concours_saveOK']                = 'Parameters saved';
 ?>
Index: extensions/ConcoursPhoto/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/ConcoursPhoto/language/fr_FR/plugin.lang.php	(revision 8965)
+++ extensions/ConcoursPhoto/language/fr_FR/plugin.lang.php	(revision 9364)
@@ -99,3 +99,6 @@
 $lang['concours_end_date_change_to']    = 'La date de fin du concours a été modifié : %s';
 $lang['concours_saved']                 = 'Concours %s-%s sauvegardé';
+$lang['concoursphoto']                  = 'Concours Photo';
+$lang['concours_saveOK']                = 'Paramètres enregistrés';
+
 ?>
Index: extensions/ConcoursPhoto/main.inc.php
===================================================================
--- extensions/ConcoursPhoto/main.inc.php	(revision 8965)
+++ extensions/ConcoursPhoto/main.inc.php	(revision 9364)
@@ -2,5 +2,5 @@
 /*
  * Plugin Name: ConcoursPhoto
- * Version: 1.2.0
+ * Version: 2.0.0
  * Description: Concours de photo paramétrable
  * Plugin URI: http://piwigo.org/ext/extension_view.php?eid=323
@@ -16,4 +16,7 @@
 
 global $prefixeTable;
+
+define('CONCOURS_VERSION', '2.0.0 [BETA]');       // 
+
 
 define('CONCOURS_NAME', 'Concours Photo');