Index: /extensions/NBC_UserAdvManager/trunk/changelog.txt.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/changelog.txt.php	(revision 9380)
+++ /extensions/NBC_UserAdvManager/trunk/changelog.txt.php	(revision 9381)
@@ -231,4 +231,5 @@
             Bug 2188 fixed - Avoid translation flags conflicts
             Bug 2192 fixed - GT Automated tasks improvement and refactory
+            Bug 2203 fixed - [username] special flag is not supported in lost password email customization
 
 */
Index: /extensions/NBC_UserAdvManager/trunk/include/functions.inc.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/include/functions.inc.php	(revision 9380)
+++ /extensions/NBC_UserAdvManager/trunk/include/functions.inc.php	(revision 9381)
@@ -709,7 +709,7 @@
   if (isset($conf_UAM[29]) and $conf_UAM[29] == 'true')
   {
-    // Management of Extension flags ([username], [mygallery], [myurl])
-    $patterns[] = '#\[username\]#i';
-    $replacements[] = stripslashes($row['username']);
+    // Management of Extension flags ([mygallery], [myurl])
+    //$patterns[] = '#\[username\]#i';
+    //$replacements[] = stripslashes($row['username']);
     $patterns[] = '#\[mygallery\]#i';
     $replacements[] = $conf['gallery_title'];
Index: /extensions/NBC_UserAdvManager/trunk/language/de_DE/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/de_DE/help/plugin.lang.php	(revision 9380)
+++ /extensions/NBC_UserAdvManager/trunk/language/de_DE/help/plugin.lang.php	(revision 9381)
@@ -233,5 +233,5 @@
 Here, you can add text of your choice to be inserted <b><u>before</u></b> the standard information.
 <br><br>
-Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email. Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery. Use <b style=&quot;color: red;&quot;>[myurl]</b> to insert your gallery URL if set in Piwigo\'s configuration options.
+Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery. Use <b style=&quot;color: red;&quot;>[myurl]</b> to insert your gallery URL if set in Piwigo\'s configuration options.
 <br><br>
 To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
Index: /extensions/NBC_UserAdvManager/trunk/language/en_UK/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/en_UK/help/plugin.lang.php	(revision 9380)
+++ /extensions/NBC_UserAdvManager/trunk/language/en_UK/help/plugin.lang.php	(revision 9381)
@@ -233,5 +233,5 @@
 Here, you can add text of your choice to be inserted <b><u>before</u></b> the standard information.
 <br><br>
-Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email. Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery. Use <b style=&quot;color: red;&quot;>[myurl]</b> to insert your gallery URL if set in Piwigo\'s configuration options.
+Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery. Use <b style=&quot;color: red;&quot;>[myurl]</b> to insert your gallery URL if set in Piwigo\'s configuration options.
 <br><br>
 To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
Index: /extensions/NBC_UserAdvManager/trunk/language/es_ES/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/es_ES/help/plugin.lang.php	(revision 9380)
+++ /extensions/NBC_UserAdvManager/trunk/language/es_ES/help/plugin.lang.php	(revision 9381)
@@ -229,5 +229,5 @@
 Here, you can add text of your choice to be inserted <b><u>before</u></b> the standard information.
 <br><br>
-Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email. Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery. Use <b style=&quot;color: red;&quot;>[myurl]</b> to insert your gallery URL if set in Piwigo\'s configuration options.
+Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery. Use <b style=&quot;color: red;&quot;>[myurl]</b> to insert your gallery URL if set in Piwigo\'s configuration options.
 <br><br>
 To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
Index: /extensions/NBC_UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php	(revision 9380)
+++ /extensions/NBC_UserAdvManager/trunk/language/fr_FR/help/plugin.lang.php	(revision 9381)
@@ -229,5 +229,5 @@
 Vous pouvez ici ajouter un texte de votre choix qui sera inséré <b><u>avant</u></b> ces informations standards.
 <br><br>
-Personnalisez encore plus le contenu avec les balises d\'insertion spéciales : Utilisez la balise <b style=&quot;color: red;&quot;>[username]</b> pour insérer automatiquement le nom de l\'utilisateur destinataire de l\'email. Utilisez la balise <b style=&quot;color: red;&quot;>[mygallery]</b> pour insérer le titre de votre galerie. Utilisez la balise <b style=&quot;color: red;&quot;>[myurl]</b> pour insérer l\'URL de votre galerie si renseigné dans les options de configuration de Piwigo.
+Personnalisez encore plus le contenu avec les balises d\'insertion spéciales : Utilisez la balise <b style=&quot;color: red;&quot;>[mygallery]</b> pour insérer le titre de votre galerie. Utilisez la balise <b style=&quot;color: red;&quot;>[myurl]</b> pour insérer l\'URL de votre galerie si renseigné dans les options de configuration de Piwigo.
 <br><br>
 Pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.';
Index: /extensions/NBC_UserAdvManager/trunk/language/it_IT/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/it_IT/help/plugin.lang.php	(revision 9380)
+++ /extensions/NBC_UserAdvManager/trunk/language/it_IT/help/plugin.lang.php	(revision 9381)
@@ -220,5 +220,5 @@
 Here, you can add text of your choice to be inserted <b><u>before</u></b> the standard information.
 <br><br>
-Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email. Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery. Use <b style=&quot;color: red;&quot;>[myurl]</b> to insert your gallery URL if set in Piwigo\'s configuration options.
+Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery. Use <b style=&quot;color: red;&quot;>[myurl]</b> to insert your gallery URL if set in Piwigo\'s configuration options.
 <br><br>
 To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
Index: /extensions/NBC_UserAdvManager/trunk/language/lv_LV/help/plugin.lang.php
===================================================================
--- /extensions/NBC_UserAdvManager/trunk/language/lv_LV/help/plugin.lang.php	(revision 9380)
+++ /extensions/NBC_UserAdvManager/trunk/language/lv_LV/help/plugin.lang.php	(revision 9381)
@@ -256,5 +256,5 @@
 Here, you can add text of your choice to be inserted <b><u>before</u></b> the standard information.
 <br><br>
-Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email. Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery. Use <b style=&quot;color: red;&quot;>[myurl]</b> to insert your gallery URL if set in Piwigo\'s configuration options.
+Further customize the content with special inserted tags : Use <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery. Use <b style=&quot;color: red;&quot;>[myurl]</b> to insert your gallery URL if set in Piwigo\'s configuration options.
 <br><br>
 To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';