Index: /extensions/LCAS/trunk/admin/LCAS_admin.php
===================================================================
--- /extensions/LCAS/trunk/admin/LCAS_admin.php	(revision 9383)
+++ /extensions/LCAS/trunk/admin/LCAS_admin.php	(revision 9384)
@@ -104,5 +104,5 @@
         }
         else {
-          // User is empty
+          // Username is empty
           array_push($page['errors'], l10n('LCAS_Err_Userlist_Empty_New_Username'));
         }
Index: /extensions/LCAS/trunk/admin/template/global.tpl
===================================================================
--- /extensions/LCAS/trunk/admin/template/global.tpl	(revision 9383)
+++ /extensions/LCAS/trunk/admin/template/global.tpl	(revision 9384)
@@ -75,4 +75,8 @@
             </label>
             <br><br>
+            <label for = "LCAS_id_Option0" id ="LCAS_id_Opt0">
+              <input type="radio" value="0" {if $LCAS_Option == '0'}checked="checked"{/if} id="LCAS_id_Option0" name="LCAS_Option">
+              {'LCAS_Option0'|@translate}<br>
+            </label>
             <label for = "LCAS_id_Option1" id ="LCAS_id_Opt1">
               <input type="radio" value="1" {if $LCAS_Option == '1'}checked="checked"{/if} id="LCAS_id_Option1" name="LCAS_Option">
@@ -88,7 +92,7 @@
             </label>
             {* <!-- Shall be implemented later
-            <label for = "LCAS_id_Option0" id ="LCAS_id_Opt0">
-              <input type="radio" value="0" {if $LCAS_Option == '0'}checked="checked"{/if} id="LCAS_id_Option0" name="LCAS_Option">
-              {'LCAS_Option0'|@translate}<br>{if $Personalized_not_allowed}{'Personalized not allowed explanation'|@translate}{/if}<br>
+            <label for = "LCAS_id_Option4" id ="LCAS_id_Opt4">
+              <input type="radio" value="4" {if $LCAS_Option == '4'}checked="checked"{/if} id="LCAS_id_Option4" name="LCAS_Option">
+              {'LCAS_Option4'|@translate}<br>{if $Personalized_not_allowed}{'Personalized not allowed explanation'|@translate}{/if}<br>
             </label>
             --> *}
Index: /extensions/LCAS/trunk/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/LCAS/trunk/language/en_UK/plugin.lang.php	(revision 9383)
+++ /extensions/LCAS/trunk/language/en_UK/plugin.lang.php	(revision 9384)
@@ -11,4 +11,11 @@
 
 $lang['LCAS option'] = 'LCAS option:';
+$lang['LCAS_Option0'] = 'No insensitivity (Piwigo\'s standard function)';
+$lang['LCAS_Option1'] = 'Case insensitivity';
+$lang['LCAS_Option2'] = 'Accent insensitivity';
+$lang['LCAS_Option3'] = 'Casse and accent insensitivity';
+$lang['LCAS_Option4'] = 'Personal table of contents';
+$lang['Personalized not allowed explanation'] = ' (you must define an array $conf[\'LCAS_replacement_set\'][0] . See <a title = "To be defined">Standard arrays</a>)';
+$lang['Personalized not allowed tooltip'] = 'No array $conf[\'LCAS_replacement_set\'][0] is defined';
 
 $lang['LCAS_Accent_Sensitive'] = 'Accents insensivity:';
Index: /extensions/LCAS/trunk/language/fr_FR/messages.lang.php
===================================================================
--- /extensions/LCAS/trunk/language/fr_FR/messages.lang.php	(revision 9383)
+++ /extensions/LCAS/trunk/language/fr_FR/messages.lang.php	(revision 9384)
@@ -42,4 +42,6 @@
 // Tooltips in index page
 // Info-bulles sur la page index
+$lang['LCAS_tooltip_username_index'][0] = 'Le nom d\'utilisateur est sensible à la casse et aux accents (majuscules/minuscules) et aux accents (E ≠ e ≠ É ≠ é)';
+
 $lang['LCAS_tooltip_username_index'][1] = 'Le nom d\'utilisateur est insensible à la casse (majuscules/minuscules&nbsp;; E = e ≠ É = é)';
 
@@ -53,4 +55,6 @@
 // Tooltips in register page
 // Info-bulles sur la page register
+$lang['LCAS_tooltip_username_register'][0] = 'Le nom d\'utilisateur est sensible à la casse et aux accents (majuscules/minuscules) et aux accents (E ≠ e ≠ É ≠ é)';
+
 $lang['LCAS_tooltip_username_register'][1] = 'Le nom d\'utilisateur est insensible à la casse (majuscules/minuscules&nbsp;; E = e ≠ É = é)';
 
Index: /extensions/LCAS/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/LCAS/trunk/language/fr_FR/plugin.lang.php	(revision 9383)
+++ /extensions/LCAS/trunk/language/fr_FR/plugin.lang.php	(revision 9384)
@@ -11,8 +11,9 @@
 
 $lang['LCAS option'] = 'Option LCAS :';
+$lang['LCAS_Option0'] = 'Pas d\'insensibilité (fonctionnement normal de Piwigo)';
 $lang['LCAS_Option1'] = 'Insensibilité à la casse';
 $lang['LCAS_Option2'] = 'Insensibilité aux accents';
 $lang['LCAS_Option3'] = 'Insensibilité à la casse et aux accents';
-$lang['LCAS_Option0'] = 'Tableau personnel';
+$lang['LCAS_Option4'] = 'Tableau personnel';
 $lang['Personalized not allowed explanation'] = ' (vous devez définir un tableau $conf[\'LCAS_replacement_set\'][0] . Voir <a title = "To be defined">les tableaux d\'origine</a>)';
 $lang['Personalized not allowed tooltip'] = 'Pas de tableau $conf[\'LCAS_replacement_set\'][0] de défini';
Index: /extensions/LCAS/trunk/maintain.inc.php
===================================================================
--- /extensions/LCAS/trunk/maintain.inc.php	(revision 9383)
+++ /extensions/LCAS/trunk/maintain.inc.php	(revision 9384)
@@ -18,5 +18,5 @@
 	global $conf;
 	
-  $default = array('','false','Example customized content of the notification email');
+  $default = array('0','false','Example customized content of the notification email');
 
   $q = '