Index: /extensions/LCAS/trunk/admin/LCAS_admin.php
===================================================================
--- /extensions/LCAS/trunk/admin/LCAS_admin.php	(revision 9387)
+++ /extensions/LCAS/trunk/admin/LCAS_admin.php	(revision 9388)
@@ -82,24 +82,37 @@
         
         if ((isset($_POST['user-'.$lcas_UserToUpdate])) && ($_POST['user-'.$lcas_UserToUpdate] != '')) {
-          // Vérifier si le nom n'est pas déjà pris
-          
-          
-          
-          // Mise à jour du nom
+          // Check if username already exists
           $query = '
-            UPDATE '.USERS_TABLE.'
-            SET username="'.addslashes($_POST['user-'.$lcas_UserToUpdate]).'"
-            WHERE id='.$lcas_UserToUpdate.'
-            LIMIT 1
+            SELECT username
+            FROM '.USERS_TABLE.'
+            WHERE username="'.addslashes($_POST['user-'.$lcas_UserToUpdate]).'"
             ;';
 
-          pwg_query($query);
+          $count = pwg_db_num_rows(pwg_query($query));
+          
+          if ($count != 0)
+          {
+            // Username update
+            $query = '
+              UPDATE '.USERS_TABLE.'
+              SET username="'.addslashes($_POST['user-'.$lcas_UserToUpdate]).'"
+              WHERE id='.$lcas_UserToUpdate.'
+              LIMIT 1
+              ;';
 
-        if (isset($conf_LCAS[1]) and $conf_LCAS[1] == 'true')
-        {
-          LCAS_SendMail($lcas_UserToUpdate, $_POST['user-'.$lcas_UserToUpdate]);
-        }
+            pwg_query($query);
 
-          array_push($page['infos'], l10n('LCAS_Info_userlist_username_renamed'));
+            if (isset($conf_LCAS[1]) and $conf_LCAS[1] == 'true')
+            {
+              LCAS_SendMail($lcas_UserToUpdate, $_POST['user-'.$lcas_UserToUpdate]);
+            }
+
+            array_push($page['infos'], l10n('LCAS_Info_userlist_username_renamed'));
+          }
+          else
+          {
+            // Username already exists
+            array_push($page['errors'], l10n('LCAS_Err_Userlist_New_Username_Exists'));
+          }
         }
         else {
Index: /extensions/LCAS/trunk/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/LCAS/trunk/language/en_UK/plugin.lang.php	(revision 9387)
+++ /extensions/LCAS/trunk/language/en_UK/plugin.lang.php	(revision 9388)
@@ -3,10 +3,8 @@
 global $lang;
 
-$lang['LCAS_Tab_Global'] = 'Configuration';
 $lang['LCAS_Title_Tab'] = 'Login Case Accents Sensitivity';
 $lang['LCAS_SubTitle_Global'] = 'Plugin configuration';
 
 $lang['LCAS_Title_Global'] = 'Setting the sensitivity';
-
 
 $lang['LCAS option'] = 'LCAS option:';
@@ -19,8 +17,4 @@
 $lang['Personalized not allowed tooltip'] = 'No array $conf[\'LCAS_replacement_set\'][0] is defined';
 
-$lang['LCAS_Accent_Sensitive'] = 'Accents insensivity:';
-
-$lang['LCAS_currentPWGConfigHeader'] = 'Current Piwigo\'s setting';
-
 $lang['LCAS_Support_txt'] = 'The official support on this plugin is only on these Piwigo\'s forum topics:<br>
 <a href="http://fr.piwigo.org/forum/viewtopic.php?pid=158565" onclick="window.open(this.href);return false;">French forum - http://fr.piwigo.org/forum/viewtopic.php?id=ToDefine</a>
@@ -29,24 +23,16 @@
 Also available, the project\'s bugtracker: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
 
-
-
-$lang['LCAS_Tab_UserList'] = 'Users validation';
-$lang['LCAS_SubTitle_UserList'] = 'Users check';
-
 $lang['LCAS_UserList_Title'] = 'Users requiring changes';
-
 
 $lang['LCAS_Info_userlist_username_renamed'] = 'The user name has been updated.';
 $lang['LCAS_Err_Userlist_Empty_New_Username'] = 'The user name can\'t be blank.';
+$lang['LCAS_Err_Userlist_New_Username_Exists'] = 'The user name already exists.';
 
 $lang['LCAS_Compare_value_h'] = 'Comparison';
 $lang['LCAS_Update_h'] = 'Change';
-$lang['LCAS_Notify_h'] = 'Notify';
 
 $lang['LCAS_Update_User'] = 'Update';
-$lang['LCAS_Send_Email'] = 'Email sent';
 
 $lang['LCAS_No_User'] = 'No problems found for current users';
-
 
 $lang['LCAS_save_config'] = 'Settings saved<br>Please check any duplicate users in the following table.';
@@ -54,9 +40,8 @@
 $lang['submit'] = 'Save settings';
 
+$lang['LCAS_Mail'] = 'Notification par email';
 $lang['LCAS_MailText'] = 'Customizing email notification';
 
 $lang['LCAS_PluginSupport'] = 'Official plugin support';
-
-$lang['LCAS_Mail'] = 'Notification par email';
 
 $lang['LCAS_DisableOption'] = ' Disable (default value)';
Index: /extensions/LCAS/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/LCAS/trunk/language/fr_FR/plugin.lang.php	(revision 9387)
+++ /extensions/LCAS/trunk/language/fr_FR/plugin.lang.php	(revision 9388)
@@ -3,10 +3,8 @@
 global $lang;
 
-$lang['LCAS_Tab_Global'] = 'Configuration';
 $lang['LCAS_Title_Tab'] = 'Login Case Accents Sensitivity';
 $lang['LCAS_SubTitle_Global'] = 'Configuration du plugin';
 
 $lang['LCAS_Title_Global'] = 'Paramétrage de la sensibilité';
-
 
 $lang['LCAS option'] = 'Option LCAS :';
@@ -19,9 +17,4 @@
 $lang['Personalized not allowed tooltip'] = 'Pas de tableau $conf[\'LCAS_replacement_set\'][0] de défini';
 
-$lang['conf[insensitive_case_logon] is true'] = '$conf[\'insensitive_case_logon\'] vaut true';
-$lang['conf[insensitive_case_logon] is false'] = '$conf[\'insensitive_case_logon\'] vaut false';
-
-$lang['LCAS_currentPWGConfigHeader'] = 'Paramètre actuel de Piwigo';
-
 $lang['LCAS_Support_txt'] = 'Le support officiel sur ce plugin se fait exclusivement sur ces fils du forum Piwigo:<br>
 <a href="http://fr.piwigo.org/forum/viewtopic.php?pid=158565" onclick="window.open(this.href);return false;">Forum français - http://fr.piwigo.org/forum/viewtopic.php?id=ToDefine</a>
@@ -30,24 +23,16 @@
 Egalement disponible, le bugtracker du projet: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
 
-
-
-$lang['LCAS_Tab_UserList'] = 'Validation des utilisateurs';
-$lang['LCAS_SubTitle_UserList'] = 'Vérification des utilisateurs';
-
 $lang['LCAS_UserList_Title'] = 'Utilisateurs nécessitant des modifications';
-
 
 $lang['LCAS_Info_userlist_username_renamed'] = 'Le nom de l\'utilisateur a été mis à jour.';
 $lang['LCAS_Err_Userlist_Empty_New_Username'] = 'Le nom de l\'utilisateur ne peut être vide.';
+$lang['LCAS_Err_Userlist_New_Username_Exists'] = 'Le nom de l\'utilisateur existe déjà.';
 
 $lang['LCAS_Compare_value_h'] = 'Comparaison';
 $lang['LCAS_Update_h'] = 'Modifier';
-$lang['LCAS_Notify_h'] = 'Notifier';
 
 $lang['LCAS_Update_User'] = 'Mettre &agrave; jour';
-$lang['LCAS_Send_Email'] = 'Envoyer email';
 
 $lang['LCAS_No_User'] = 'Aucun problème détecté pour les utilisateurs actuels';
-
 
 $lang['LCAS_save_config'] = 'Paramètres enregistrés<br>Veuillez vérifier les éventuels utilisateurs problématiques dans le tableau ci-dessous';
@@ -55,9 +40,8 @@
 $lang['submit'] = 'Sauvegarder les paramètres';
 
+$lang['LCAS_Mail'] = 'Notification par email';
 $lang['LCAS_MailText'] = 'Personnalisation de la notification par email';
 
 $lang['LCAS_PluginSupport'] = 'Support officiel du plugin';
-
-$lang['LCAS_Mail'] = 'Notification par email';
 
 $lang['LCAS_DisableOption'] = ' Désactiver (valeur par défaut)';